EDIT - bug #8621

Do not save empty sources
10/25/2019 03:32 PM - Andreas Muller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

In E+M it happened quite often that completely empty sources were created for what ever reason.
We should either delete them immediately when saving or give a warning that there is an empty source.

In general this might be needed for other objects as well.

History

#1 - 10/25/2019 04:05 PM - Andreas Miiller

- Subject changed from DO not save empty sources to Do not save empty sources

The question is how to implement. Maybe we simply take all OriginalSource Objects from the session cache and check if there is an empty one.
Otherwise we have to traverse the object graph which might be hard to implement.

#2 - 11/19/2019 12:40 PM - Katja Luther

the same should be implemented for identifiers and others
